$!---------------make.com giftrans ---------------------------------------------
$! make giftrans under OpenVMS
$!
$! In case of problems with the build you might want to contact me at 
$! zinser@decus.decus.de (preferred) or eurmpz@eur.sas.com (Work)
$!
$!
$! Check for DECW$RGBPATH
$!
$ if (f$trnlnm("DECW$RGBPATH").eqs."")
$ then
$  write sys$output "To work properly giftrans needs a list of translations"
$  write sys$output "between color names and RGB valus. This should be"
$  write sys$output "provided in a file pointed to by the DECW$RGBPATH"
$  write sys$output "logical, which is not defined currently on your system."
$  write sys$output "The normal setting is "
$  write sys$output "$ define decw$rgbpath sys$manager:decw$rgb.dat"
$ endif
$!
$! Produce linker-options file according to X-Release and compiler used
$!
$ open/write optf giftrans.opt
$!
$! Check OpenVMS version (prior to 6.2 external getopt needed)
$!
$ if (f$extract(1,3,f$getsyi("Version")) .lts. "6.2") 
$ then
$  if (f$trnlnm("X11VMS").eqs."")
$  then
$   write sys$output "Since you are running an old version of OpenVMS"
$   write sys$output "you need an external library to provide you with"
$   write sys$output "the getopt function. This is part of the xvmsutils"
$   write sys$output "available from"
$   write sys$output "http://axp616.gsi.de:8080/www/vms/sw/xvmsutils.htmlx"
$   write sys$output "After installing it define the logical X11VMS to point"
$   write sys$output "to the location of the library."
$   close optf
$   exit
$  else  
$   write optf "x11vms:xvmsutils.olb/lib"
$  endif
$ endif
$ if f$getsyi("HW_MODEL").ge.1024
$ then
$  cflags = "/prefix=all"
$ else
$  if f$search("SYS$SYSTEM:DECC$COMPILER.EXE").eqs.""
$   then
$    cflags = ""
$    write optf "sys$share:vaxcrtl.exe/share"
$   else
$    cflags = "/decc/prefix=all"
$  endif
$ endif
$ write optf "Identification=""Giftrans 1.12.2"""
$ close optf
$!
$! Build the thing 
$!
$ write sys$output "Compiling Giftrans sources ..."
$ CALL MAKE giftrans.OBJ "CC''cflags'  giftrans" -
            giftrans.c
$ write sys$output "Linking Giftrans ..."
$ CALL MAKE giftrans.EXE "LINK  giftrans,giftrans.opt/OPT" giftrans.OBJ
$ write sys$output "Giftrans build completed"
$ exit
$!
$!
$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$       Argument = P'arg
$       If Argument .Eqs. "" Then Goto Exit
$       El=0
$Loop2:
$       File = F$Element(El," ",Argument)
$       If File .Eqs. " " Then Goto Endl
$       AFile = ""
$Loop3:
$       OFile = AFile
$       AFile = F$Search(File)
$       If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$       If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$       Goto Loop3
$NextEL:
$       El = El + 1
$       Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ VV=F$VERIFY(0)
$ write sys$output P2
$ 'P2
$ VV='F$Verify(VV)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE

